Name:          freerdp
Version:       1.0.2
Release:       1mamba
Summary:       A Remote Desktop Protocol Implementation
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.freerdp.com/
Source0:       https://github.com/FreeRDP/FreeRDP/archive/%{version}.tar.gz
Patch0:        %{name}-1.0.1-fix_not_linked_with_libpulse.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcups-devel
BuildRequires: libdirectfb-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcsclite-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXv-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: xmlto
BuildRequires: libxml2-utils
BuildRequires: docbook-utils
Requires:      %{name}-plugins = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), according to the Microsoft Open Specifications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.
libfreerdp-core can be embedded in applications.
libfreerdp-channels and libfreerdp-kbd might be convenient to use in X applications together with libfreerdp-core.
libfreerdp-core can be extended with plugins handling RDP channels.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package plugins
Group:         Applications/Networking
Summary:       Plugins for handling the standard RDP channels
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description plugins
A set of plugins to the channel manager implementing the standard virtual channels extending RDP core functionality.
For instance, sounds, clipboard sync, disk/printer redirection, etc.

%debug_package

%prep
%setup -q -n FreeRDP-%{version}
#%patch0 -p1

%build
%cmake -d build \
   -DCMAKE_BUILD_TYPE=Release \
   -DWITH_CUPS:BOOL=ON \
   -DWITH_PCSC:BOOL=ON \
   -DWITH_PULSEAUDIO:BOOL=ON \
   -DWITH_X11:BOOL=ON \
   -DWITH_XCURSOR:BOOL=ON \
   -DWITH_XEXT:BOOL=ON \
   -DWITH_XINERAMA:BOOL=ON \
   -DWITH_XKBFILE:BOOL=ON \
   -DWITH_XV:BOOL=ON \
   -DWITH_ALSA:BOOL=ON \
   -DWITH_CUNIT:BOOL=OFF \
   -DWITH_DIRECTFB:BOOL=ON \
   -DWITH_FFMPEG:BOOL=ON \
   -DWITH_SSE2=OFF \
   -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/xfreerdp
%{_bindir}/dfreerdp
%{_datadir}/%{name}
%{_mandir}/man1/xfreerdp.*
%doc LICENSE

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfreerdp-cache.so.*
%{_libdir}/libfreerdp-channels.so.*
%{_libdir}/libfreerdp-codec.so.*
%{_libdir}/libfreerdp-core.so.*
%{_libdir}/libfreerdp-gdi.so.*
%{_libdir}/libfreerdp-kbd.so.*
%{_libdir}/libfreerdp-rail.so.*
%{_libdir}/libfreerdp-utils.so.*
%dir %{_libdir}/freerdp

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/freerdp/
%{_libdir}/libfreerdp-cache.so
%{_libdir}/libfreerdp-channels.so
%{_libdir}/libfreerdp-codec.so
%{_libdir}/libfreerdp-core.so
%{_libdir}/libfreerdp-gdi.so
%{_libdir}/libfreerdp-kbd.so
%{_libdir}/libfreerdp-rail.so
%{_libdir}/libfreerdp-utils.so
%{_libdir}/pkgconfig/freerdp.pc

%files plugins
%defattr(-,root,root)
%{_libdir}/freerdp/*.so

%changelog
* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-3mamba
- add the %{name}-plugins subpackage
- enable the pulseaudio plugin
- fix linking of rdpsnd_pulse.so against libpulse.so.0  

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-2mamba
- build requires libxml2-utils and docbook-utils

* Sat Sep 29 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-1mamba
- package created by autospec
